using System;
using System.Collections;
using System.Collections.Generic;
using NUnit.Framework;

using XmlObjects;

namespace XmlObjectsTestUnits
{
  /// <summary>
  /// Using the ProvidedFieldsSupport functionality
  ///   Using a global setting to disable the provided support functionality
  /// </summary>
  [TestFixture]
  public class TestC07ProvidedFields : CommonTest
  {
    static string xmlToFormat = @"
      <Wsm times='0' timesAttributeProvided='true'/>
    ";


    public class Wsm
    {
      public int times;
      public bool timesAttributeProvided;
    };

    [Test]
    public void test()
    {
      XmlTypeAttribute pars = new XmlTypeAttribute();
      pars.ProvidedFieldsSupport = false;
      check((Wsm)LoadXml(typeof(Wsm), xmlToFormat, pars));
    }
    [Test]
    public void testWrite()
    {
      XmlTypeAttribute pars = new XmlTypeAttribute();
      pars.ProvidedFieldsSupport = false;
      check((Wsm)SaveAndLoad(LoadXml(typeof(Wsm), xmlToFormat, pars)));
    }
    private void check(Wsm wsm)
    {
      Assert.IsTrue(wsm.timesAttributeProvided);
      Assert.AreEqual(wsm.times, 0);
    }
  }
}
